Target version: Candidate for next major release   

Resolution:    

Description

It would be nice to have access to a default "Everyone" group to be able to quickly assign all users to a role on a project.

In the setup I'm using, I have a "Help Desk" project set up that I want all active members to be able to create issues in.  I can't give

"Add Issue" permissions to the non-member role though, because I don't want non-members of other projects to add issues to those

other projects.  I've created an "Everyone" group and given that group permissions on the project, however I have to remember to

add new users to that group when activating the account.

Related issues:

Related to Redmine - Feature #8629: Allow assigning issues and/or watcher sta... New 2011-06-16

History

#1 - 2011-01-19 00:45 - Michael Trausch

If by "Everyone", you mean "Authenticated Users" (which it seems you do) then I agree 100% -- this would be very useful to have things be private to

all but those who possess authentication credentials.

#2 - 2011-05-27 10:12 - Etienne Massip

- Subject changed from Default "Everyone" group for all users to Default "Everyone" / "Authenticated Users" group for all users

- Category set to Accounts / authentication

- Target version set to Candidate for next major release

#3 - 2012-12-03 12:15 - Jean-Claude Wippler

+1

Scenario: lots of users signing up to get access to a specific project. If all new users end up in a group such as "Registered", I could either include the

project in that group, or quickly find all the users involved and make them members of that project. Currently, there is no other way to find users than

to look at them all, sort on creation date, and figure out which ones were new since last time I looked.

#4 - 2013-02-25 16:30 - Rocco Stanzione

+1 here. Alternatively it would be helpful to be able to choose a role for the membership of any authed user not explicitly added to a project. I.e. if I

don't add Bob to the project, he's implicitly a Viewer until I add his membership explicitly.

#5 - 2013-03-03 10:25 - Daniel Black

if accounts are created via email, r11522 has a solution for you.

#6 - 2013-07-09 13:39 - Hrobky Hrobky

+1

Another approach could be considering non-member not as a implicit role rather then implicit user to whom role could be assigned on per-project

basis. Migration/backward compatibility: grant non-member user a non-member role in each project.

(This is essentially the same Rocco Stanzione suggested)

#7 - 2013-08-14 02:23 - Anonymous

+1

#8 - 2014-03-09 06:40 - Vincent Lizzi
+1

Possibly this could work based on automatic group membership for new users (including self-registered users and LDAP authenticated users). Any

group(s) could be set as automatically receiving new users from specific registration methods. Permission on projects can be assigned per group as

normal.

Scenario: New users authenticate with one LDAP realm and should automatically belong to a group that grants permission to access a particular

project.

Potentially, new users from a different LDAP realm could automatically be assigned to a different group with access to a different particular project.
